> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/workflows/designing-workflows/processes/shape-repository/service-task/delegates/getattribute-and-removeattribute-delegates.md).

# GetAttribute and RemoveAttribute delegates

The **GetAttribute** and **RemoveAttribute** delegate respectively gets or removes attributes identified by the input parameters. Matching can be done by attributeId or by owner and type. If attributeId given the rest of the parameters are not taken into account. Matched/removed attributes are returned as a list with the output variable.

| Field name                        | Required | Description                                                                                                                 |
| --------------------------------- | -------- | --------------------------------------------------------------------------------------------------------------------------- |
| attributeId                       | No       | ID of the attribute.                                                                                                        |
| ownerId                           | No       | Id of the term that the attribute belongs to.                                                                               |
| <p>typeId</p><p>typeSignifier</p> | No       | Identify type term of the attribute - either id or signifier must be set, setting both will cause typeId to be used.        |
| resultVariableName                | No       | The name of the variable that the result will be set in, if not given the result will be set in the variable named "output" |

The delegate is deprecated. Replace your service task containing this delegate with a script task, for example:

* Get attribute:

  ```
  \<scriptTask id="scripttask1" name="Get attribute" scriptFormat="groovy" activiti:autoStoreVariables="false"\>
      \<script\><![CDATA[
          def attribute = attributeApi.getAttribute(string2Uuid(givenAttributeId));
          execution.setVariable("output", attribute)
      ]]>\</script\>
  \</scriptTask\>
  ```
* Remove attribute:

  ```
  \<scriptTask id="scripttask1" name="Remove attribute" scriptFormat="groovy" activiti:autoStoreVariables="false"\>
      \<script\><![CDATA[
          attributeApi.removeAttribute(string2Uuid(givenAttributeId));
      ]]>\</script\>
  \</scriptTask\>
  ```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/workflows/designing-workflows/processes/shape-repository/service-task/delegates/getattribute-and-removeattribute-delegates.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
